VMTKBIFURCATIONSECTIONS(1)

NAME
vmtkbifurcationsections - vmtk script vmtkbifurcationsections

DESCRIPTION
Automatic piping vmtkbifurcationsections Parsing options vmtkbifurcationsections

vmtkbifurcationsections : compute branch sections located a fixed

    number of spheres away from each bifurcation. The script takes in input the surface and the relative centerlines, both already split into branches.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface, already split into

    branches

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1): the input centerlines,

    already split into branches

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-distancespheres NumberOfDistanceSpheres (int,1); default=1:

    distance from the bifurcation at which the sections have to be taken; the distance is expressed in number of inscribed spheres, where each sphere touches the center of the previous one

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where centerline radius is stored

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: name of

    the array where centerline group ids are stored

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds: name of the array where centerline ids are stored

-tractidsarray TractIdsArrayName (str,1); default=TractIds: name of

    the array where centerline tract ids are stored

-blankingarray BlankingArrayName (str,1); default=Blanking: name of

    the array where centerline blanking information about branches is stored

-bifurcationsectiongroupids BifurcationSectionGroupIdsArrayName

    (str,1); default=BifurcationSectionGroupIds: name of the array where the group id to which each section belongs has to be stored

-bifurcationsectionbifurcationgroupids

    BifurcationSectionBifurcationGroupIdsArrayName (str,1); default=BifurcationSectionBifurcationGroupIds: name of the array where the bifurcation group id to which each section belongs has to be stored

-bifurcationsectionpoint BifurcationSectionPointArrayName (str,1);

    default=BifurcationSectionPoint: name of the array where the point at which bifurcation sections are defined have to be stored

-bifurcationsectionnormal BifurcationSectionNormalArrayName

    (str,1); default=BifurcationSectionNormal: name of the array where the bifurcation section normals have to be stored

-bifurcationsectionarea BifurcationSectionAreaArrayName (str,1);

    default=BifurcationSectionArea: name of the array where the area of bifurcation sections have to be stored

-bifurcationsectionminsize BifurcationSectionMinSizeArrayName

    (str,1); default=BifurcationSectionMinSize: name of the array where the minimum diameter of each section has to be stored

-bifurcationsectionmaxsize BifurcationSectionMaxSizeArrayName

    (str,1); default=BifurcationSectionMaxSize: name of the array where the maximum diameter of each bifurcation sections has to be stored

-bifurcationsectionshape BifurcationSectionShapeArrayName (str,1);

    default=BifurcationSectionShape: name of the array where the shape index, i.e. the ratio between minimum and maximum diameter, of each bifurcation section has to be stored

-bifurcationsectionclosed BifurcationSectionClosedArrayName

    (str,1); default=BifurcationSectionClosed: name of the array containing 1 if a section is closed and 0 otherwise

-bifurcationsectionorientation

    BifurcationSectionOrientationArrayName (str,1); default=BifurcationSectionOrientation: name of the array containing 0 if a section is upstream and 0 downstream its bifurcation

-bifurcationsectiondistancespheres

    BifurcationSectionDistanceSpheresArrayName (str,1); default=BifurcationSectionDistanceSpheres: name of the array containing the number of spheres away from the bifurcation the section is located at

-sectionpointgroupid OutputSectionPointGroupId (int,1) >= 0;

    default=None

-sectionpointbifurcationgroupid

    OutputSectionPointBifurcationGroupId (int,1) >= 0; default=None

-ofile BifurcationSectionsOutputFileName (str,1): filename for the

    default BifurcationSections writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o BifurcationSections (vtkPolyData,1): the output sections

-bifurcationsectiongroupids BifurcationSectionGroupIdsArrayName

    (str,1); default=BifurcationSectionGroupIds: name of the array where the group id to which each section belongs are stored

-bifurcationsectionbifurcationgroupids

    BifurcationSectionBifurcationGroupIdsArrayName (str,1); default=BifurcationSectionBifurcationGroupIds: name of the array where the bifurcation group id to which each section belongs has to be stored

-bifurcationsectionpoint BifurcationSectionPointArrayName (str,1);

    default=BifurcationSectionPoint: name of the array where the point at which bifurcation sections are defined are stored

-bifurcationsectionnormal BifurcationSectionNormalArrayName

    (str,1); default=BifurcationSectionNormal: name of the array where bifurcation section normals are stored

-bifurcationsectionarea BifurcationSectionAreaArrayName (str,1);

    default=BifurcationSectionArea: name of the array where the area of bifurcation sections are stored

-bifurcationsectionminsize BifurcationSectionMinSizeArrayName

    (str,1); default=BifurcationSectionMinSize: name of the array where the minimum diameter of each section are stored

-bifurcationsectionmaxsize BifurcationSectionMaxSizeArrayName

    (str,1); default=BifurcationSectionMaxSize: name of the array where the minimum diameter of each bifurcation sections has to be stored

-bifurcationsectionshape BifurcationSectionShapeArrayName (str,1);

    default=BifurcationSectionShape: name of the array where the shape index, i.e. the ratio between minimum and maximum diameter, of each bifurcation section are stored

-bifurcationsectionclosed BifurcationSectionClosedArrayName

    (str,1); default=BifurcationSectionClosed: name of the array containing 1 if a section is closed and 0 otherwise

-bifurcationsectionorientation

    BifurcationSectionOrientationArrayName (str,1); default=BifurcationSectionOrientation: name of the array containing 0 if a section is upstream and 0 downstream its bifurcation

-bifurcationsectiondistancespheres

    BifurcationSectionDistanceSpheresArrayName (str,1); default=BifurcationSectionDistanceSpheres: name of the array containing the number of spheres away from the bifurcation the section is located at

-sectionpoint OutputSectionPoint (float,3); default=[]

-sectionnormal OutputSectionNormal (float,3); default=[]

-sectionarea OutputSectionArea (float,1); default=0.0